"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const target = require("../../../constants/target.qwik.cjs");
const isEditing = require("../../../functions/is-editing.qwik.cjs");
const isPreviewing = require("../../../functions/is-previewing.qwik.cjs");
const SDKS_USING_ELEMENT_REF_APPROACH = [
  "svelte",
  "qwik",
  "vue"
];
const needsElementRefDivForEditing = () => {
  return SDKS_USING_ELEMENT_REF_APPROACH.includes(target.TARGET) && (isEditing.isEditing() || isPreviewing.isPreviewing());
};
exports.SDKS_USING_ELEMENT_REF_APPROACH = SDKS_USING_ELEMENT_REF_APPROACH;
exports.needsElementRefDivForEditing = needsElementRefDivForEditing;
