import { getBuilderSearchParams } from "./get-builder-search-params/index.qwik.mjs";
import { fetchOneEntry } from "./get-content/index.qwik.mjs";
const fetchBuilderProps = async (_args) => {
  var _a, _b, _c;
  const urlPath = _args.path || ((_a = _args.url) == null ? void 0 : _a.pathname) || ((_b = _args.userAttributes) == null ? void 0 : _b.urlPath);
  const getContentArgs = {
    ..._args,
    apiKey: _args.apiKey,
    model: _args.model || "page",
    userAttributes: {
      ..._args.userAttributes,
      ...urlPath ? {
        urlPath
      } : {}
    },
    options: getBuilderSearchParams(_args.searchParams || ((_c = _args.url) == null ? void 0 : _c.searchParams) || _args.options)
  };
  return {
    apiKey: getContentArgs.apiKey,
    model: getContentArgs.model,
    content: await fetchOneEntry(getContentArgs)
  };
};
export {
  fetchBuilderProps
};
