"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const qwik = require("@builder.io/qwik");
const evaluate = require("./evaluate/evaluate.qwik.cjs");
function createEventHandler(value, options) {
  return /* @__PURE__ */ qwik.inlinedQrl((event) => {
    const [options2, value2] = qwik.useLexicalScope();
    return evaluate.evaluate({
      code: value2,
      context: options2.context,
      localState: options2.localState,
      rootState: options2.rootState,
      rootSetState: options2.rootSetState,
      event
    });
  }, "createEventHandler_7wCAiJVliNE", [
    options,
    value
  ]);
}
exports.createEventHandler = createEventHandler;
