"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const evaluate = require("./evaluate/evaluate.qwik.cjs");
function getBlockComponentOptions(block, context) {
  var _a;
  return {
    ...(_a = block.component) == null ? void 0 : _a.options,
    ...block.options,
    ...evaluateTextComponentTextOption(block, context)
  };
}
const evaluateTextComponentTextOption = (block, context) => {
  var _a, _b;
  if (((_a = block.component) == null ? void 0 : _a.name) === "Text" && ((_b = block.component.options) == null ? void 0 : _b.text) && typeof block.component.options.text === "string")
    return {
      ...block.component.options,
      text: block.component.options.text.replace(/{{([^}]+)}}/g, (_match, group) => evaluate.evaluate({
        code: group,
        context,
        localState: context.localState,
        rootState: context.rootState,
        rootSetState: context.rootSetState
      }))
    };
};
exports.getBlockComponentOptions = getBlockComponentOptions;
