"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const qwik = require("@builder.io/qwik");
const getBlockActions = require("../../../functions/get-block-actions.qwik.cjs");
const getBlockProperties = require("../../../functions/get-block-properties.qwik.cjs");
const dynamicRenderer = require("../../dynamic-renderer/dynamic-renderer.qwik.cjs");
const BlockWrapper = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  return /* @__PURE__ */ qwik._jsxC(dynamicRenderer.DynamicRenderer, {
    get TagName() {
      return props.Wrapper;
    },
    actionAttributes: getBlockActions.getBlockActions({
      block: props.block,
      rootState: props.context.rootState,
      rootSetState: props.context.rootSetState,
      localState: props.context.localState,
      context: props.context.context,
      stripPrefix: true
    }),
    attributes: getBlockProperties.getBlockProperties({
      block: props.block,
      context: props.context
    }),
    children: /* @__PURE__ */ qwik._jsxC(qwik.Slot, null, 3, "87_0"),
    [qwik._IMMUTABLE]: {
      TagName: qwik._fnSignal((p0) => p0.Wrapper, [
        props
      ], "p0.Wrapper")
    }
  }, 1, "87_1");
}, "BlockWrapper_component_kOI0j0aW8Nw"));
exports.BlockWrapper = BlockWrapper;
exports.default = BlockWrapper;
