"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const qwik = require("@builder.io/qwik");
const isEditing = require("../../../functions/is-editing.qwik.cjs");
const SelectComponent = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  return /* @__PURE__ */ qwik.createElement("select", {
    ...props.attributes,
    value: props.value,
    key: isEditing.isEditing() && props.defaultValue ? props.defaultValue : "default-key",
    defaultValue: props.defaultValue,
    name: props.name,
    required: props.required
  }, (props.options || []).map((option, index) => {
    return /* @__PURE__ */ qwik._jsxQ("option", {
      value: qwik._wrapSignal(option, "value")
    }, null, option.name || option.value, 1, `${option.name}-${index}`);
  }));
}, "SelectComponent_component_SPKbsFLikZU"));
exports.SelectComponent = SelectComponent;
exports.default = SelectComponent;
