"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const qwik = require("@builder.io/qwik");
const jsxRuntime = require("@builder.io/qwik/jsx-runtime");
const block = require("../../block.qwik.cjs");
const interactiveElement = require("../interactive-element.qwik.cjs");
const componentRef_helpers = require("./component-ref.helpers.qwik.cjs");
const ComponentRef = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const state = qwik.useStore({
    Wrapper: props.isInteractive ? interactiveElement.InteractiveElement : props.componentRef
  });
  return /* @__PURE__ */ qwik._jsxC(jsxRuntime.Fragment, {
    children: props.componentRef ? /* @__PURE__ */ qwik._jsxC(state.Wrapper, {
      ...componentRef_helpers.getWrapperProps({
        componentOptions: props.componentOptions,
        builderBlock: props.builderBlock,
        context: props.context,
        componentRef: props.componentRef,
        linkComponent: props.linkComponent,
        includeBlockProps: props.includeBlockProps,
        isInteractive: props.isInteractive,
        contextValue: props.context
      }),
      children: (props.blockChildren || []).map((child) => {
        return /* @__PURE__ */ qwik._jsxC(block.Block, {
          block: child,
          get context() {
            return props.context;
          },
          get registeredComponents() {
            return props.registeredComponents;
          },
          get linkComponent() {
            return props.linkComponent;
          },
          [qwik._IMMUTABLE]: {
            context: qwik._fnSignal((p0) => p0.context, [
              props
            ], "p0.context"),
            linkComponent: qwik._fnSignal((p0) => p0.linkComponent, [
              props
            ], "p0.linkComponent"),
            registeredComponents: qwik._fnSignal((p0) => p0.registeredComponents, [
              props
            ], "p0.registeredComponents")
          }
        }, 3, child.id);
      })
    }, 0, "z6_0") : null
  }, 1, "z6_1");
}, "ComponentRef_component_tFQoBV6UFdc"));
exports.ComponentRef = ComponentRef;
exports.default = ComponentRef;
