"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const componentInfo$9 = require("../blocks/accordion/component-info.qwik.cjs");
const accordion = require("../blocks/accordion/accordion.qwik.cjs");
const componentInfo = require("../blocks/button/component-info.qwik.cjs");
const button = require("../blocks/button/button.qwik.cjs");
const componentInfo$1 = require("../blocks/columns/component-info.qwik.cjs");
const columns = require("../blocks/columns/columns.qwik.cjs");
const componentInfo$2 = require("../blocks/fragment/component-info.qwik.cjs");
const fragment = require("../blocks/fragment/fragment.qwik.cjs");
const componentInfo$3 = require("../blocks/image/component-info.qwik.cjs");
const image = require("../blocks/image/image.qwik.cjs");
require("@builder.io/qwik");
require("@builder.io/qwik/jsx-runtime");
require("../context/builder.context.qwik.cjs");
require("../context/components.context.qwik.cjs");
require("@builder.io/qwik/build");
require("../functions/evaluate/node-runtime/safeDynamicRequire.qwik.cjs");
const componentInfo$4 = require("../blocks/section/component-info.qwik.cjs");
const section = require("../blocks/section/section.qwik.cjs");
const componentInfo$5 = require("../blocks/slot/component-info.qwik.cjs");
const slot = require("../blocks/slot/slot.qwik.cjs");
const componentInfo$6 = require("../blocks/symbol/component-info.qwik.cjs");
const symbol = require("../blocks/symbol/symbol.qwik.cjs");
const componentInfo$8 = require("../blocks/tabs/component-info.qwik.cjs");
const tabs = require("../blocks/tabs/tabs.qwik.cjs");
const componentInfo$7 = require("../blocks/text/component-info.qwik.cjs");
const text = require("../blocks/text/text.qwik.cjs");
const extraComponents = require("./extra-components.qwik.cjs");
const getDefaultRegisteredComponents = () => [
  {
    component: button.Button,
    ...componentInfo.componentInfo
  },
  {
    component: columns.Columns,
    ...componentInfo$1.componentInfo
  },
  {
    component: fragment.FragmentComponent,
    ...componentInfo$2.componentInfo
  },
  {
    component: image.Image,
    ...componentInfo$3.componentInfo
  },
  {
    component: section.SectionComponent,
    ...componentInfo$4.componentInfo
  },
  {
    component: slot.Slot,
    ...componentInfo$5.componentInfo
  },
  {
    component: symbol.Symbol,
    ...componentInfo$6.componentInfo
  },
  {
    component: text.Text,
    ...componentInfo$7.componentInfo
  },
  ...[],
  ...[
    {
      component: tabs.Tabs,
      ...componentInfo$8.componentInfo
    },
    {
      component: accordion.Accordion,
      ...componentInfo$9.componentInfo
    }
  ],
  ...extraComponents.getExtraComponents()
];
exports.getDefaultRegisteredComponents = getDefaultRegisteredComponents;
