"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const build = require("@builder.io/qwik/build");
const browser = require("./browser-runtime/browser.qwik.cjs");
const nodeRuntime = require("./node-runtime/node-runtime.qwik.cjs");
const shouldForceBrowserRuntimeInNode = require("./should-force-browser-runtime-in-node.qwik.cjs");
const chooseBrowserOrServerEval = (args) => build.isBrowser || shouldForceBrowserRuntimeInNode.shouldForceBrowserRuntimeInNode({
  shouldLogWarning: true
}) ? browser.runInBrowser(args) : nodeRuntime.runInNode(args);
exports.chooseBrowserOrServerEval = chooseBrowserOrServerEval;
